Package net.md_5.bungee.nbt.type

# Class ShortTag

java.lang.Object
net.md_5.bungee.nbt.type.ShortTag

All Implemented Interfaces:
  `Tag`, `TypedTag`

public class ShortTag extends Object implements TypedTag

- ## Field Summary

  ### Fields inherited from interface net.md_5.bungee.nbt.Tag

  `ARRAY_HEADER, BYTE, BYTE_ARRAY, COMPOUND, CONSTRUCTORS, DOUBLE, END, FLOAT, INT, INT_ARRAY, LIST, LONG, LONG_ARRAY, OBJECT_HEADER, OBJECT_REFERENCE, SHORT, STRING, STRING_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShortTag()`
  `ShortTag(short value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `byte`
  `getId()`
  Gets the id of this tag's type.
  `short`
  `getValue()`
  `int`
  `hashCode()`
  `void`
  `read(DataInput input, NBTLimiter limiter)`
  Reads the data into this tag.
  `void`
  `setValue(short value)`
  `String`
  `toString()`
  `void`
  `write(DataOutput output)`
  Writes this tag into a `DataOutput`.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ShortTag

    public ShortTag()

  - ### ShortTag

    public ShortTag(short value)

- ## Method Details

  - ### read

    public void read(DataInput input, NBTLimiter limiter) throws IOException
    Description copied from interface: `Tag`
    Reads the data into this tag.
    Specified by:
      `read` in interface `Tag`
    Parameters:
      `input` - the input to read from
      `limiter` - the limiter for this read operation
    Throws:
      `IOException` - if an exception occurs during io operations

  - ### write

    public void write(DataOutput output) throws IOException
    Description copied from interface: `Tag`
    Writes this tag into a `DataOutput`.
    Specified by:
      `write` in interface `Tag`
    Parameters:
      `output` - the output to write to
    Throws:
      `IOException` - if an exception occurs during io operations

  - ### getId

    public byte getId()
    Description copied from interface: `TypedTag`
    Gets the id of this tag's type.
    Specified by:
      `getId` in interface `TypedTag`
    Returns:
      the id related to this tag's type

  - ### getValue

    public short getValue()

  - ### setValue

    public void setValue(short value)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`